<template>
    <div class="pipeline-file map-background" v-show="pipelineFile">
        <el-form ref="form" :model="form" label-width="80px">
            <el-form-item label="管线名称">
                <el-input v-model="form.pipeName" suffix-icon="el-icon-search"></el-input>
            </el-form-item>
            <el-form-item label="管段编码">
                <el-input v-model="form.pipeCode" suffix-icon="el-icon-search"></el-input>
            </el-form-item>
        </el-form>
    </div>
</template>

<script>
import eventBus from '../../../eventBus'
export default {
  name: 'PipelineFile',
  data () {
    return {
      pipelineFile: false,
      form: {
        pipeName: '',
        pipeCode: ''
      }
    }
  },
  mounted () {
    eventBus.$on('pipelineFile-choose', (obj) => {
      // console.log(obj)
      this.pipelineFile = obj
    })
  }
}
</script>

<style lang="less" scoped>
    .pipeline-file {
        min-width: 1.94532rem;
        max-height: 2.343213rem;
    }
</style>
